%undefine __libtoolize
%define gphoto 1
%define objprelink 0

%define conflictver 3.0
%define cvsdate 20020401
%define qtdir /usr/lib/qt3
%define gccver %(gcc -dumpversion| cut -d. -f-2)

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name: kdegraphics
Version: 3.1.0
Release: alt4

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Graphics
License: GPL
Url: http://www.kde.org/
Icon: kde-icon.xpm

Source: kdegraphics-%version.tar.bz2
#Source: kdegraphics-3.0.98.tar.bz2
Patch0: kdegraphics-3.0-kamera-compile.patch
Patch1: kdegraphics-3.0-kcolorchooser.patch
Patch2: kdegraphics-3.1-gs7.patch
Patch3: kdegraphics-3.0.3-fix-kooka-mem-leak.patch
Patch4: kdegraphics-3.0.3-fix-kooka-mem-leak.patch2
Patch5: kdegraphics-3.0.3-kfax-fix-mem-leak.patch
Patch6: kdegraphics-3.1-fix-crash.patch
Patch7: kdegraphics-kmrml-fix-crash.patch

# Automatically added by buildreq on Fri Mar 29 2002
# BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kdelibs-devel libarts-devel libbeecrypt libdb4 libexif-devel libgphoto2-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libtiff-devel libxml2 libxslt xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++
BuildRequires: kde-common kdelibs-devel libarts-devel libexif-devel libart_lgpl-devel
BuildRequires: libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libtiff-devel libxml2-devel libxslt-devel xml-utils zlib-devel
BuildRequires: libexif-devel libusb-devel libsane-devel imlib-devel libieee1284-devel
Requires: kdelibs-gcc_compiled = %gccver
%if %objprelink
BuildRequires: objprelink
%endif

%if %gphoto
BuildRequires: libgphoto2-devel libgpio-devel
%endif

Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3

Requires: %name-libkscan = %version-%release
Requires: %name-kamera = %version-%release, 	%name-kcoloredit = %version-%release
Requires: %name-kfax = %version-%release, 	%name-kghostview = %version-%release
Requires: %name-kdvi = %version-%release, 	%name-kfile = %version-%release
Requires: %name-kiconedit = %version-%release, 	%name-kooka = %version-%release
Requires: %name-kpaint = %version-%release, 	%name-kruler = %version-%release
Requires: %name-ksnapshot = %version-%release, 	%name-kuickshow = %version-%release
Requires: %name-kview = %version-%release, 	%name-kviewshell = %version-%release
Requires: %name-kpovmodeler = %version-%release,%name-kmrml = %version-%release

%description
Graphical tools for the K Desktop Environment.

%package devel
Summary: Include files for kdegraphics
Group: Development/KDE and QT
Requires: %name-kviewshell = %version-%release, %name-libkscan = %version-%release
Provides: %name-kviewshell-devel = %version-%release, %name-libkscan-devel = %version-%release
Obsoletes: kdegraphics3-devel
#
%description devel
This package contains include files needed to build applications based on kdegraphic.

%package kamera
Summary: Digital camera support for KDE
Group: Graphics
Obsoletes: kdegraphics3
Conflicts: kdegraphics <= %conflictver
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kamera
Kamera adds support for digital cameras to KDE.
After installing kamera, you can access your digital camera just like
a filesystem from KDE applications.

%package kcoloredit
Summary: KDE palette editor and color chooser
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kcoloredit
KDE palette editor and color chooser.
kcoloredit can be used by other programs (and scripts) to pick a color or
edit a palette.

%package kdvi
Summary: KDE DVI (TeX output) file viewer
Group: Publishing
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kdvi
A DVI (TeX output) file viewer for KDE.

%package kfax
Summary: KDE Fax viewer
Group: Communications
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kfax
A KDE viewer for incoming faxes

%package kfile
Summary: KFile module for reading graphical files information
Group: File tools
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
Provides: %name-kfile-png = %version-%release, %name-kfile-png = %version-%release
Obsoletes: kdegraphics-kfile-png, kdegraphics-kfile-png
#
%description kfile
The KFile plugin allows all applications using KFile (e.g. Konqueror) to
view information on bmp,ico,jpeg,pdf,png,ps,tga,tiff,xbm files.

%package kghostview
Summary: PostScript viewer for KDE
Group: Publishing
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}, kdelibs-gcc_compiled = %gccver
Requires: ghostscript
#
%description kghostview
A PostScript and PDF file viewer for KDE.
In addition to being a standalone viewer application, kghostview acts as
a Konqueror plugin.

%package kiconedit
Summary: An icon editor for creating KDE icons
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kiconedit
An icon editor for creating KDE icons

%package kmrml
Summary: MRML for KDE -- Content based image retrieval
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kmrml
MRML is short for Multimedia Retrieval Markup Language,
which defines a protocol for querying a server for images
based on their content. See http://www.mrml.net about MRML
and the GNU Image Finding Tool (GIFT), an MRML server.

This package consists of an mrml kio-slave that handles
the communication with the MRML server and a KPart to
be embedded e.g. into Konqueror.

%package kooka
Summary: KDE scanner application
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Requires: %name-libkscan = %version-%release, sane
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kooka
Kooka is a KDE application for previewing, cutting and receiving images
from a scanner.

%package kpaint
Summary: A simple paint program for KDE
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kpaint
A simple bitmap paint program for KDE.

%package kpovmodeler
Summary: A graphical editor for povray scenes for KDE
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#Requires: povray
#
%description kpovmodeler
KPovModeler is a graphical editor for povray scenes.

%package kruler
Summary: A screen ruler and color measurement tool
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kruler
A screen ruler and color measurement tool

%package ksnapshot
Summary: A KDE applet for taking snapshots of the desktop
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description ksnapshot
A KDE applet for taking screenshots.
ksnapshot allows both capturing the whole desktop and capturing just
the active window.

%package kuickshow
Summary: Quick picture viewer for KDE
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kuickshow
Kuickshow is a picture viewer for KDE. It displays the directory structure,
displaying images as thumbnails.
Clicking on an image shows the image in its normal size.

%package kview
Summary: KDE Image Viewer
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
#
%description kview
KView is a KDE image viewer, supporting a wide range of graphics file formats.

%package kviewshell
Summary: Plugin integration for KView
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
Requires: %name-kview
#
%description kviewshell
KViewShell allows the kview image viewer to be embedded into other KDE
applications.

%package libkscan
Summary: KDE library for scanner support
Group: Graphics
Conflicts: kdegraphics <= %conflictver
Obsoletes: kdegraphics3
Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver
Requires: sane
#
%description libkscan
KDE library for scanner support.

%prep
%setup -q -n kdegraphics-%version
#%setup -q -n kdegraphics-3.0.98
#%patch0 -p1
%patch1 -p1
%patch2 -p1
###%patch3 -p1
%patch4 -p1
###%patch5 -p1
%patch6 -p1
%patch7 -p1

make -f Makefile.cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%_libdir"

%configure \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --program-transform-name="" \
		    --with-pic \
		    --with-xinerama \
%if %gphoto
			--with-kamera
%else
		    --without-kamera
%endif

%if %objprelink
export CXX=g++prelink GXX=/usr/bin/g++ LD=/usr/bin/ld
%else
export CXX=g++
%endif
%make_build CXX=$CXX

%install
%if %unstable
%set_strip_method none
%endif

%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install
#find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH

# %%_datadir/applnk/Graphics/
kdedesktop2mdkmenu.pl kdegraphics-kcoloredit Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcolorchooser.desktop %buildroot/%_menudir/kdegraphics-kcolorchooser
kdedesktop2mdkmenu.pl kdegraphics-kcoloredit Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kcoloredit.desktop %buildroot/%_menudir/kdegraphics-kcoloredit
kdedesktop2mdkmenu.pl kdegraphics-kdvi Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kdvi.desktop %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics-kfax Applications/Communications %buildroot/%_datadir/applnk/Graphics/kfax.desktop %buildroot/%_menudir/kdegraphics-kfax
kdedesktop2mdkmenu.pl kdegraphics-kpovmodeler Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpovmodeler.desktop %buildroot/%_menudir/kdegraphics-kpovmodeler
kdedesktop2mdkmenu.pl kdegraphics-kghostview Applications/Publishing %buildroot/%_datadir/applnk/Graphics/kghostview.desktop %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics-kiconedit Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/kiconedit.desktop %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics-kpaint Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kpaint.desktop %buildroot/%_menudir/kdegraphics-kpaint
kdedesktop2mdkmenu.pl kdegraphics-kruler Applications/Accessibility %buildroot/%_datadir/applnk/Graphics/More/kruler.desktop %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics-ksnapshot Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/More/ksnapshot.desktop %buildroot/%_menudir/kdegraphics-ksnapshot
kdedesktop2mdkmenu.pl kdegraphics-kview Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kview.desktop %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics-kuickshow Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kuickshow.desktop %buildroot/%_menudir/kdegraphics-kuickshow
kdedesktop2mdkmenu.pl kdegraphics-kooka Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/kooka.desktop %buildroot/%_menudir/kdegraphics-kooka

%if %gphoto
kdedesktop2mdkmenu.pl kdegraphics-kamera Configuration/KDE/Peripherals %buildroot/%_datadir/applnk/Settings/Peripherals/kamera.desktop %buildroot/%_menudir/kdegraphics-kamera kde
kdedesktop2mdkmenu.pl kdegraphics-kamera Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmkmrml.desktop %buildroot/%_menudir/kdegraphics-kcmkmrml kde
%endif

# David - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview

%post kviewshell -p /sbin/ldconfig
%postun kviewshell -p /sbin/ldconfig

%post libkscan -p /sbin/ldconfig
%postun libkscan -p /sbin/ldconfig

%post kamera
/sbin/ldconfig
%update_menus
%postun kamera
/sbin/ldconfig
%clean_menus

%post kcoloredit
%update_menus
%postun kcoloredit
%clean_menus

%post kdvi
%update_menus
%postun kdvi
%clean_menus

%post kfax
%update_menus
%postun kfax
%clean_menus

%post kghostview
%update_menus
%postun kghostview
%clean_menus

%post kiconedit
%update_menus
%postun kiconedit
%clean_menus

%post kooka
%update_menus
%postun kooka
%clean_menus

%post kpaint
%update_menus
%postun kpaint
%clean_menus

%post kpovmodeler
%update_menus
%postun kpovmodeler
%clean_menus

%post kruler
%update_menus
%postun kruler
%clean_menus

%post ksnapshot
%update_menus
%postun ksnapshot
%clean_menus

%post kuickshow
%update_menus
%postun kuickshow
%clean_menus

%post kview
%update_menus
%postun kview
%clean_menus

%files
%files kamera
%_libdir/kde3/*kamera*
%_datadir/icons/*/*/*/camera*
%_datadir/services/kamera.protocol
%doc %_docdir/HTML/en/kamera
%_datadir/applnk/Settings/Peripherals/kamera.desktop
%_menudir/kdegraphics-kamera

%files kcoloredit
%_bindir/kcoloredit
%_bindir/kcolorchooser
#%_libdir/kcolorchooser*
%_datadir/apps/kcoloredit
%_datadir/icons/*/*/*/kcoloredit.png
%_datadir/applnk/Graphics/kcoloredit.desktop
%_datadir/applnk/Graphics/kcolorchooser.desktop
%_datadir/applnk/Graphics/More/kcoloredit.desktop
%_datadir/applnk/Graphics/More/kcolorchooser.desktop
%doc %_docdir/HTML/en/kcoloredit
%_menudir/kdegraphics-kcoloredit
%_menudir/kdegraphics-kcolorchooser

%files kdvi
%_bindir/kdvi
%_libdir/kde3/kdvipart.*
%_datadir/applnk/Graphics/kdvi.desktop
%_datadir/apps/kdvi
%_datadir/icons/*/*/*/kdvi.png
%doc %_docdir/HTML/en/kdvi
%_menudir/kdegraphics-kdvi

%files kfax
%_bindir/kfax
%_libdir/kde3/kfaxpart.*
%_datadir/icons/*/*/*/kfax.png
%_datadir/applnk/Graphics/kfax.desktop
%_datadir/apps/kfax
%_menudir/kdegraphics-kfax

%files kfile
%_libdir/kde3/kfile_*.*
%_datadir/services/kfile_*.*

%files kghostview
%_datadir/apps/kghostview
%_datadir/icons/*/*/*/kghostview.png
%_datadir/applnk/Graphics/kghostview.desktop
%_libdir/kde3/libkghostviewpart.*
%_bindir/kghostview
%doc %_docdir/HTML/en/kghostview
%_menudir/kdegraphics-kghostview

%files kiconedit
%_datadir/apps/kiconedit
%_datadir/icons/*/*/*/kiconedit.png
%_datadir/applnk/Graphics/kiconedit.desktop
%_datadir/applnk/Graphics/More/kiconedit.desktop
%_bindir/kiconedit
%doc %_docdir/HTML/en/kiconedit
%_menudir/kdegraphics-kiconedit

%files kmrml
%_bindir/mrmlsearch
%_libdir/kde3/kcm_kmrml.*
%_libdir/kde3/kded_daemonwatcher.*
%_libdir/kde3/kio_mrml.*
%_libdir/kde3/libkmrmlpart.*
%_libdir/mrmlsearch.*
%_datadir/applnk/Settings/System/kcmkmrml.desktop
%_datadir/apps/konqueror/servicemenus/mrml-servicemenu.desktop
%_datadir/mimelnk/text/mrml.desktop
%_datadir/services/kded/daemonwatcher.desktop
%_datadir/services/mrml.protocol
%_datadir/services/mrml_part.desktop
%_menudir/kdegraphics-kcmkmrml

%files kooka
%_bindir/kooka
%_datadir/config/kookarc
%_datadir/apps/kooka
%_datadir/applnk/Graphics/kooka.desktop
%doc %_docdir/HTML/en/kooka
%_menudir/kdegraphics-kooka

%files kpaint
%_datadir/apps/kpaint
%_datadir/icons/*/*/*/kpaint.png
%_datadir/applnk/Graphics/kpaint.desktop
%_bindir/kpaint
%doc %_docdir/HTML/en/kpaint
%_menudir/kdegraphics-kpaint

%files kpovmodeler
%_bindir/kpovmodeler
%_libdir/kde3/libkpovmodelerpart.la
%_libdir/kde3/libkpovmodelerpart.so
%_datadir/apps/kpovmodeler
%doc %_docdir/HTML/en/kpovmodeler
%_iconsdir/*/*/*/kpovmodeler.png
%_iconsdir/*/*/*/kpovmodeler_doc.png
%_datadir/applnk/Graphics/kpovmodeler.desktop
%_menudir/kdegraphics-kpovmodeler

%files kruler
%_datadir/icons/*/*/*/kruler.png
%_datadir/apps/kruler
%_datadir/applnk/Graphics/kruler.desktop
%_datadir/applnk/Graphics/More/kruler.desktop
%_bindir/kruler
%doc %_docdir/HTML/en/kruler
%_menudir/kdegraphics-kruler

%files ksnapshot
%_bindir/ksnapshot
%_datadir/icons/*/*/*/ksnapshot.png
%_datadir/applnk/Graphics/ksnapshot.desktop
%_datadir/applnk/Graphics/More/ksnapshot.desktop
%doc %_docdir/HTML/en/ksnapshot
%_menudir/kdegraphics-ksnapshot

%files kuickshow
%_bindir/kuickshow
%_libdir/kuickshow*.*
%_datadir/icons/*/*/*/kuickshow.png
%_datadir/applnk/Graphics/kuickshow.desktop
%_datadir/apps/kuickshow
%doc %_docdir/HTML/en/kuickshow
%_menudir/kdegraphics-kuickshow

%files kview
%_bindir/kview
%_libdir/kview*.*
%_libdir/libkviewsupport.*
%_libdir/kde3/kviewerpart.*
%_libdir/kde3/kview_*plugin.*
%_libdir/kde3/libkviewcanvas.*
%_libdir/kde3/libkviewviewer.*
%_datadir/apps/kview
%_datadir/apps/kviewviewer
%_datadir/icons/*/*/*/kview.png
%_datadir/services/kviewviewer.desktop
%_datadir/services/kviewcanvas.desktop
%_datadir/servicetypes/kimageviewer.desktop
%_datadir/servicetypes/kimageviewercanvas.desktop
%doc %_docdir/HTML/en/kview
%_datadir/applnk/Graphics/kview.desktop
%_menudir/kdegraphics-kview

%files kviewshell
%_bindir/kviewshell
%_libdir/libkmultipage*
%_libdir/libkpagetest*
%_datadir/apps/kviewshell
%_datadir/apps/kviewerpart
%_datadir/icons/*/*/*/kviewshell.png

%files libkscan
%_datadir/icons/*/*/*/palette_color.png
%_datadir/icons/*/*/*/palette_gray.png
%_datadir/icons/*/*/*/palette_halftone.png
%_datadir/icons/*/*/*/palette_lineart.png
%_datadir/services/scanservice.desktop
%_libdir/libkscan*.*

%files devel
%_includedir/*.h

%changelog
* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update from cvs
- remove Requires: povray

* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update from cvs

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs
- add MDK patches

* Tue Nov 26 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.21
- update from cvs

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.11
- update from cvs
- rebuild with new libgphoto
- recreate %%patch2

* Tue Oct 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.10
- update from cvs
- increase %%release to upgrade Daedalus

* Tue Sep 10 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- rebuild with gcc 3.2

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- new version

* Tue Jul 23 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt2
- add losted patch2

* Wed Jul 03 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version

* Wed Jun 19 2002 AEN <aen@logic.ru> 3.0.1-alt3
- x11alpha driver for gs > 7.00 (patch2)

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt2
- fix menu items

* Sun May 26 2002 ZerG <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- move to /usr

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- release

* Tue Apr 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.2.cvs20020401
- update from cvs

* Fri Mar 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.1.rc3
- build for ALT

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.5mdk
- Fix buildrequires for 8.3
- Reactivate gphoto

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.4mdk
- Fix build requires for 8.2
- Readd kooka

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1
- Re-create devel package
- Fix and clean %%files sections

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix requires

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

